Package org.stianloader.micromixin.transform.internal

## Class MixinFieldStub

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.MixinFieldStub

All Implemented Interfaces:
  `ClassMemberStub`

    public class MixinFieldStub
    extends java.lang.Object
    implements ClassMemberStub

### Field Summary

Fields
`java.util.Collection<MixinAnnotation<MixinFieldStub>>` `annotations`
`org.objectweb.asm.tree.FieldNode` `field`
`MixinLoggingFacade` `logger`
`org.objectweb.asm.tree.ClassNode` `owner`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `applyTo​(org.objectweb.asm.tree.ClassNode target, HandlerContextHelper hctx, MixinStub source, SimpleRemapper remapper, java.lang.StringBuilder sharedBuilder)`
`void` `collectMappings​(org.objectweb.asm.tree.ClassNode target, HandlerContextHelper hctx, MixinStub stub, SimpleRemapper out, java.lang.StringBuilder sharedBuilder)`
`int` `getAccess()`
`java.lang.String` `getDesc()`
`MixinLoggingFacade` `getLogger()`
`java.lang.String` `getName()`
`org.objectweb.asm.tree.ClassNode` `getOwner()`
`static MixinFieldStub` `parse​(org.objectweb.asm.tree.ClassNode owner, org.objectweb.asm.tree.FieldNode field, MixinTransformer<?> transformer, java.lang.StringBuilder sharedBuilder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### annotations

    @NotNull
    public final java.util.Collection<MixinAnnotation<MixinFieldStub>> annotations

#### field

    @NotNull
    public final org.objectweb.asm.tree.FieldNode field

#### logger

    @NotNull
    public final MixinLoggingFacade logger

#### owner

    @NotNull
    public final org.objectweb.asm.tree.ClassNode owner

### Method Detail

#### parse

    @NotNull
    public static MixinFieldStub parse​(@NotNull
                                       org.objectweb.asm.tree.ClassNode owner,
                                       @NotNull
                                       org.objectweb.asm.tree.FieldNode field,
                                       @NotNull
                                       MixinTransformer<?> transformer,
                                       @NotNull
                                       java.lang.StringBuilder sharedBuilder)

#### applyTo

    public void applyTo​(@NotNull
                        org.objectweb.asm.tree.ClassNode target,
                        @NotNull
                        HandlerContextHelper hctx,
                        @NotNull
                        MixinStub source,
                        @NotNull
                        SimpleRemapper remapper,
                        @NotNull
                        java.lang.StringBuilder sharedBuilder)

Specified by:
  `applyTo` in interface `ClassMemberStub`

#### collectMappings

    public void collectMappings​(@NotNull
                                org.objectweb.asm.tree.ClassNode target,
                                @NotNull
                                HandlerContextHelper hctx,
                                @NotNull
                                MixinStub stub,
                                @NotNull
                                SimpleRemapper out,
                                @NotNull
                                java.lang.StringBuilder sharedBuilder)

Specified by:
  `collectMappings` in interface `ClassMemberStub`

#### getAccess

    public int getAccess()

Specified by:
  `getAccess` in interface `ClassMemberStub`

#### getDesc

    @NotNull
    public java.lang.String getDesc()

Specified by:
  `getDesc` in interface `ClassMemberStub`

#### getLogger

    @NotNull
    public MixinLoggingFacade getLogger()

Specified by:
  `getLogger` in interface `ClassMemberStub`

#### getName

    @NotNull
    public java.lang.String getName()

Specified by:
  `getName` in interface `ClassMemberStub`

#### getOwner

    @NotNull
    public org.objectweb.asm.tree.ClassNode getOwner()

Specified by:
  `getOwner` in interface `ClassMemberStub`